--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: name
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: properties
  rw: RW
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: ical_component
- !ruby/object:RI::MethodSummary 
  name: ical_multi_property
- !ruby/object:RI::MethodSummary 
  name: ical_multiline_property
- !ruby/object:RI::MethodSummary 
  name: ical_property
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: The body of the iCalendar object consists of a sequence of calendar properties and one or more calendar components. The calendar properties are attributes that apply to the calendar as a whole. The calendar components are collections of properties that express a particular calendar semantic. For example, the calendar component can specify an Event, a Todo, a Journal entry, Timezone information, or Freebusy time information, or an Alarm.
constants: []

full_name: Icalendar::Component
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add
- !ruby/object:RI::MethodSummary 
  name: add_component
- !ruby/object:RI::MethodSummary 
  name: add_event
- !ruby/object:RI::MethodSummary 
  name: add_journal
- !ruby/object:RI::MethodSummary 
  name: add_sliced_text
- !ruby/object:RI::MethodSummary 
  name: add_todo
- !ruby/object:RI::MethodSummary 
  name: custom_property
- !ruby/object:RI::MethodSummary 
  name: escape_chars
- !ruby/object:RI::MethodSummary 
  name: multi_property?
- !ruby/object:RI::MethodSummary 
  name: multiline_property?
- !ruby/object:RI::MethodSummary 
  name: new_uid
- !ruby/object:RI::MethodSummary 
  name: print_component
- !ruby/object:RI::MethodSummary 
  name: print_parameters
- !ruby/object:RI::MethodSummary 
  name: print_properties
- !ruby/object:RI::MethodSummary 
  name: remove
- !ruby/object:RI::MethodSummary 
  name: remove_component
- !ruby/object:RI::MethodSummary 
  name: remove_event
- !ruby/object:RI::MethodSummary 
  name: remove_journal
- !ruby/object:RI::MethodSummary 
  name: remove_todo
- !ruby/object:RI::MethodSummary 
  name: respond_to?
- !ruby/object:RI::MethodSummary 
  name: to_ical
name: Component
superclass: Icalendar::Base
